Red Hat Training

A Red Hat training course is available for Red Hat Enterprise Linux

5.2. Sostituzioni pacchetto

Questa sezione elenca i pacchetti rimossi da Red Hat Enterprise Linux dalle versioni 6 e 7 insieme ai pacchetti con funzionalità equivalenti o pacchetti alternativi disponibili con Red Hat Enterprise Linux 7.

Tabella 5.1. Pacchetti sostituiti

Pacchetti rimossi
Sostituzione/Alternativo
Note
vconfig
iproute (ip tool)
 
module-init-tools
kmod
 
openoffice.org
libreoffice
 
man
man-db
 
driver fileystem ext2 e ext3
Driver filesystem ext4
 
openais
corosync
Funzionalità disponibile con lo stack HA di Red Hat Enterprise Linux
jwhois
whois
Differenze formato output.
libjpeg
libjpeg-turbo
 
gpxe
ipxe
Fork di gpxe.
cpuspeed
kernel-tools (cpupower, cpupower.service)
Configurato ora in /etc/sysconfig/cpupower. Non include più il demone user space scaling ; se necessario usare kernel governers.
nc
nmap-ncat
 
procps
procps-ng
 
openswan
libreswan
 
arptables_jf
arptables
 
gcj
OpenJDK
Non compilare le app di Java per il codice nativo con gcj.
32-bit x86 come architettura dell'installazione
64-bit x86
Le applicazioni verranno eseguite ancora con le librerie di compatibilità. Eseguire il test delle app su 64-bit RHEL 6. Se è necessario un supporto per l'avvio x86 a 32-bit, continuare ad usare RHEL 6.
Supporto Power 6 PPC
 
Continuare ad usare RHEL 5 o RHEL 6
Matahari
Gestione basata su CIM
 
ecryptfs
Usare la cifratura basata sul blocco LUKS/dm-crypt esistente
La migrazione non è disponibile per filesystem cofrati; è necessario ricreare i dati cifrati.
evolution-exchange
evolution-mapi/evolution-ews
 
Stack di applicazioni web TurboGears2
 
 
OpenMotif versione 2.2
Motif 2.3
Ricompilare le app usando la versione corrente di Motif.
Tool analitico web webalizer
 
Altri tool analitici web sono superiori.
gestore finestra compiz
gnome-shell
 
Insieme di strumenti per sviluppatori Eclipse
 
Eclipse è ora disponibile con l'offerta Insieme di strumenti per sviluppatori.
Qpid e QMF
 
Qpid e QMF sono ora disponibili con l'offerta MRG.
amtu
 
Le certificazioni Common Criteria non hanno più bisogno di questo strumento.
system-config-services
systemadm
 
pidgin frontend
empathy
 
perl-suidperl interpreter
 
Questa funzionalità è stata rimossa dall'upstream perl.
pam_passwdqc, pam_cracklib
pam_pwquality
 
Demone e Libreria HAL
udev
 
Demone e Libreria ConsoleKit
systemd
 
DeviceKit-power
upower
 
system-config-lvm
gnome-disk-utility
 
system-config-network
nm-connection-editor, nmcli
 
thunderbird
evolution
 
Vari driver grafici più vecchi
Driver vesa e/o hardware moderno
 
xorg-x11-twm
metacity
 
xorg-x11-xdm
gdm
 
system-config-firewall
firewalld
 
mod_perl
mod_fcgid
Incompatibile con httpd 2.4
busybox
utilità normali
 
pacchetti KVM/virt (in ComputeNode)
variante KVM/virt implementata come una variante Server